Bug 1032494 - incomplete translation in system-config-printer
incomplete translation in system-config-printer
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 04:56 EST by Rolle
Modified: 2015-06-29 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 09:03:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printer state Ready (56.09 KB, image/png)
2013-11-20 05:02 EST, Rolle
no flags Details
printer state Not Ready (58.78 KB, image/png)
2013-11-20 05:03 EST, Rolle
no flags Details

  None (edit)
Description Rolle 2013-11-20 04:56:20 EST
Description of problem:
In "system-config-printer" is the status of the printer not fully translated to german language.
Case 1: Printer is ready -> the "system-config-printer" reported correctly "Untätig"
Case 2: Printer is unplugged -> the "system-config-printer" reported in mixed german/english "Angehalten - Unplugged or turned off"

In case 2 "Angehalten - Unplugged or turned off" has to be translated to "Nicht bereit - Nicht angeschlossen oder ausgeschalten" (Not ready - Unplugged or turned off)

Version-Release number of selected component (if applicable):
Fedora 20 Beta

How reproducible:
always

Steps to Reproduce:
1. switch to german language
2. install a printer which status could be read. (For instance a local installed USB printer)
3. start "system-config-printer"
2. unplug the USB cable

Actual results:
the state is described as "Angehalten - Unplugged or turned off"

Expected results:
the state should described as "Nicht bereit - Nicht angeschlossen oder ausgeschalten" (Not ready - Unplugged or turned off)

Additional info:
Comment 1 Rolle 2013-11-20 05:02:44 EST
Created attachment 826518 [details]
printer state Ready
Comment 2 Rolle 2013-11-20 05:03:22 EST
Created attachment 826519 [details]
printer state Not Ready
Comment 3 Tim Waugh 2013-11-20 05:51:12 EST
This string comes from system-config-printer-udev.c:

#define DISABLED_REASON "Unplugged or turned off"

It isn't marked for translation. Care needs to be taken here as this string is checked by system-config-printer-udev when a printer is connected, to know whether it should re-enable the queue. In other words, it is used to distinguish a queue that was automatically disabled due to the printer being disconnected from a queue that was intentionally disabled by the administrator.

Marking the string as translatable could cause queues to get 'stuck' in disabled state if, say, the system locale changes, or if the translated string changes in a system-config-printer update.

In fact, even changing the string from not-translatable to translatable will end up causing this issue.

Maybe the approach used in cups-browsed should be used instead, of setting a particular job option on the queue. That would avoid these problems.
Comment 4 Rolle 2013-11-20 09:33:47 EST
When I open a printing dialog from gEdit 3.10.2 or Firefox 25.0 this string "Unplugged or turned off" is also shown on the first tab when the USB cable is unplugged.
Comment 5 Rolle 2013-11-20 09:38:07 EST
Another question is why are the gnome printing dialogs in different programs different? gEdit 3.10.2 and Firefox 25.0? Are they compiled against different gnome-versions? Which printing dialog is newer?
So on the second tab on this gnome printing dialogs there are in gEdit 3.10.2 the strings "All sheets", "Even sheets", "Odd sheets" not translated but in Firefox there are translated.
Comment 6 Tim Waugh 2013-11-20 11:17:50 EST
Different GTK+ printing dialogs in different applications: some applications are linked against gtk2, while others are linked against gtk3:

$ rpm -q --requires gedit|grep libgtk-
libgtk-3.so.0()(64bit)
$ rpm -q --requires firefox|grep gtk
libgtk-x11-2.0.so.0()(64bit)
Comment 7 Rolle 2013-12-03 20:18:31 EST
Reply to comment 5 and 6:

I added a new bug report for this: 1037873
Comment 8 Fedora End Of Life 2015-05-29 05:48:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 09:03:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.